javax.jcr

## Interface NodeIterator

All Superinterfaces:
  java.util.Iterator, RangeIterator

    public interface NodeIterator
    extends RangeIterator

Allows easy iteration through a list of `Node`s with `nextNode` as well as a `skip` method inherited from `RangeIterator`.

### Method Summary

All Methods Instance Methods Abstract Methods
`Node` `nextNode()` Returns the next `Node` in the iteration.

### Methods inherited from interface javax.jcr.RangeIterator

`getPosition, getSize, skip`

### Methods inherited from interface java.util.Iterator

`forEachRemaining, hasNext, next, remove`

### Method Detail

#### nextNode

    Node nextNode()

Returns the next `Node` in the iteration.

Returns:
  the next `Node` in the iteration.
Throws:
  `java.util.NoSuchElementException` - if iteration has no more `Node`s.

Copyright © 2004-2005 Day Software Management AG. All Rights Reserved.